Upload Orders

Overview

Orders can be used to valid and prefill information on appointments or check ins made on Conduit.

Integration Types

1. Full Order List

A complete list of all current orders. This format replaces the entire orders list with each upload.

Behavior:

  • Orders in the upload will be added or updated
  • Orders not in the upload will be marked as unavailable for new appointments
  • Existing appointments linked to orders will maintain their associations

This is the default behavior. If you would like the partial upload behavior, please reach out to [email protected].

2. Partial Order List

A list containing only new or updated orders. This format appends to the existing order database.

Behavior:

  • Only orders included in this upload will be added or updated
  • Orders not included in the upload remain unchanged
  • Orders will be removed after your configured window of time

Notes

  • Order records are uniquely identified by the reference ID field
  • Each upload must consistently use the same format (full or partial)

Fields

Send a CSV containing the Orders for a Facility. The CSV must contain a header with the required columms from the table below and optionally including any non-required fields.

Field Description Required
Reference ID Primary value of an order that uniquely identifies it. Typically the primary value used to schedule/check-in Yes
External Reference ID If a primary ID exists from an external system that is a unique ID, map it to this field No
Facility ID The Conduit UUID of the facility that the order belongs to Yes
Direction "Inbound" or "Outbound" No
Load Type The type of order No
Earliest Scheduled Start Time ISO 8601 timestamp of the pick up, delivery, or ready by date for the order. Any linked appointments to this order will not be able to be booked externally before this time. No
Item IDs The contents of the order No
Shipper Receiver Shipper or receiver of the order depending on if the appointment is outbound or inbound No
Carrier The carrier for the order No
Carriers Emails The emails associated with the carrier No
Customer The customer of the order (commonly used by 3PLs) No
Notes Relevant notes for the order that you want to show in Conduit No

Examples

In addition to these standard fields, you may also add custom reference ID types (such as Transport Ref ID) based on your Conduit configuration. Contact Conduit for the specific custom reference id key if you would like to send additional reference types.

See Create Order for REST equivalent for a single order.

Body
application/json
Responses
  • 202
  • 400

    Bad Request

Request Example for post/conduit.v1.upload_facility_orders
curl https://api.getconduit.ai/conduit.v1.upload_facility_orders \
  --request POST \
  --header 'Content-Type: multipart/form-data' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --form 'file='
No Body